Subject: Re: bug#44682: 28.0.50; dired on file with space first: dired-get-file-for-visit: File no longer exists; type ‘g’ to update Dired buffer

From: Michael Albinus <[email-masked]>
Date: Tue, 17 Nov 2020 21:11:49 +0100

Andreas Schwab <[email-masked]> writes:

Hi Andrewas,

> Does tramp support dired-use-ls-dired?

Yes. But not all remote ls programs do support the --dired argument.

In fact, I could reproduce the problem. It does NOT happen if ls-lisp is
used, it happens only if Tramp tries to handle insert-directory itself.

The problem is, that dired does not recognise the filename correctly, if
it starts with a space, and text property dired-filename isn't set
accordingly (as it should, if --dired is used). I plan to debug this
case, but there wasn't time for this by today. Hope I could do it
tomorrow.

> Andreas.

Best regards, Michael.